Bug 1127957

Summary: [rpc.mountd] update man page to remove the -n|--no-tcp option, Now it cannot work and no customer need it [RHEL-7]
Product: Red Hat Enterprise Linux 7 Reporter: JianHong Yin <jiyin>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED CURRENTRELEASE QA Contact: Yongcheng Yang <yoyang>
Severity: high Docs Contact:
Priority: high    
Version: 7.1CC: eguan, jiyin, kzhang, rwheeler, steved, swhiteho, yoyang
Target Milestone: rcKeywords: ManPageChange, Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1127955 Environment:
Last Closed: 2016-08-26 07:41:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 984824, 1127955    
Bug Blocks: 859078, 1011909, 1013468    

Comment 3 Steve Dickson 2016-01-19 18:35:58 UTC
Closing due this comment:
   https://bugzilla.redhat.com/show_bug.cgi?id=984824#c19

Comment 4 Yongcheng Yang 2016-01-20 04:23:43 UTC
According to the comment
"So I suggest we close this bz as WONTFIX and open another bz to remove the -n from the man page..."
from https://bugzilla.redhat.com/show_bug.cgi?id=984824#c19

I think this bug aimed to update the rpc.mountd man page. Sorry for the confusing expression.
If it's ok, we can send out the patch later as this is an easy fix :)

Comment 5 Steve Dickson 2016-01-20 16:25:05 UTC
(In reply to Yongcheng Yang from comment #4)
> According to the comment
> "So I suggest we close this bz as WONTFIX and open another bz to remove the
> -n from the man page..."
> from https://bugzilla.redhat.com/show_bug.cgi?id=984824#c19
> 
> I think this bug aimed to update the rpc.mountd man page. Sorry for the
> confusing expression.
> If it's ok, we can send out the patch later as this is an easy fix :)
Sure... lets open up another bz...

Comment 8 JianHong Yin 2016-11-18 10:42:54 UTC
Additional info:

Now the problem of --no-tcp has been fixed on Upstream and RHEL-7.1 or later

fixed in upstream:
commit a80482157632584ee03df58ed1eef3cefd95bbcb
Author: Steve Dickson <steved@redhat.com>
Date:   Tue Nov 5 14:10:05 2013 -0500

    mountd: Use protocol bit fields to turn protocols off.
    
    Convert the current code to used the NFSCTL_XXX macros
    to turn off the TCP listener.
    
    Signed-off-by: Steve Dickson <steved@redhat.com>